Read a public status report
curl --request GET \
--url https://api.sazabi.com/v1/public/status-pages/{slug}/reports/{reportId}import requests
url = "https://api.sazabi.com/v1/public/status-pages/{slug}/reports/{reportId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.sazabi.com/v1/public/status-pages/{slug}/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/public/status-pages/{slug}/reports/{reportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/public/status-pages/{slug}/reports/{reportId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sazabi.com/v1/public/status-pages/{slug}/reports/{reportId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/public/status-pages/{slug}/reports/{reportId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"page": {
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"logoUrl": "<string>",
"accentColor": "<string>",
"theme": "light",
"supportUrl": "<string>",
"timezone": "<string>",
"url": "<string>"
},
"report": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "incident",
"title": "<string>",
"state": "investigating",
"startedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"scheduledStartAt": "2023-11-07T05:31:56Z",
"scheduledEndAt": "2023-11-07T05:31:56Z",
"impacts": [
{
"surfaceKey": "<string>",
"surfaceName": "<string>",
"impact": "degraded_performance"
}
],
"updates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "investigating",
"message": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"impacts": [
{
"surfaceKey": "<string>",
"surfaceName": "<string>",
"impact": "degraded_performance"
}
]
}
]
}
}StatusPages
Read a public status report
Read one published report and its published updates on a published status page, without authentication. Returns 404 for drafts and for pages that aren’t public.
GET
https://api.sazabi.com/v1
/
public
/
status-pages
/
{slug}
/
reports
/
{reportId}
Read a public status report
curl --request GET \
--url https://api.sazabi.com/v1/public/status-pages/{slug}/reports/{reportId}import requests
url = "https://api.sazabi.com/v1/public/status-pages/{slug}/reports/{reportId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.sazabi.com/v1/public/status-pages/{slug}/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/public/status-pages/{slug}/reports/{reportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/public/status-pages/{slug}/reports/{reportId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sazabi.com/v1/public/status-pages/{slug}/reports/{reportId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/public/status-pages/{slug}/reports/{reportId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"page": {
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"logoUrl": "<string>",
"accentColor": "<string>",
"theme": "light",
"supportUrl": "<string>",
"timezone": "<string>",
"url": "<string>"
},
"report": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "incident",
"title": "<string>",
"state": "investigating",
"startedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"scheduledStartAt": "2023-11-07T05:31:56Z",
"scheduledEndAt": "2023-11-07T05:31:56Z",
"impacts": [
{
"surfaceKey": "<string>",
"surfaceName": "<string>",
"impact": "degraded_performance"
}
],
"updates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "investigating",
"message": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"impacts": [
{
"surfaceKey": "<string>",
"surfaceName": "<string>",
"impact": "degraded_performance"
}
]
}
]
}
}Path Parameters
The page's DNS label on sazabi.page: 3-40 lowercase letters, digits and inner hyphens. Unique across Sazabi.
Pattern:
^[a-z0-9](?:[a-z0-9-]{1,38})[a-z0-9]$